Create Return
curl --request POST \
--url https://api.getredo.com/v2.2/stores/{storeId}/returns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"provider": "<string>",
"externalOrderId": "<string>",
"items": [
{
"lineItemId": "<string>",
"quantity": 2,
"reason": "<string>",
"reasonCode": "<string>",
"notes": "<string>"
}
],
"shippingAddress": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"line2": "<string>"
},
"notes": "<string>"
},
"options": {
"createExternalRMAs": false
}
}
'import requests
url = "https://api.getredo.com/v2.2/stores/{storeId}/returns"
payload = {
"data": {
"provider": "<string>",
"externalOrderId": "<string>",
"items": [
{
"lineItemId": "<string>",
"quantity": 2,
"reason": "<string>",
"reasonCode": "<string>",
"notes": "<string>"
}
],
"shippingAddress": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"line2": "<string>"
},
"notes": "<string>"
},
"options": { "createExternalRMAs": False }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
provider: '<string>',
externalOrderId: '<string>',
items: [
{
lineItemId: '<string>',
quantity: 2,
reason: '<string>',
reasonCode: '<string>',
notes: '<string>'
}
],
shippingAddress: {
line1: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
country: '<string>',
line2: '<string>'
},
notes: '<string>'
},
options: {createExternalRMAs: false}
})
};
fetch('https://api.getredo.com/v2.2/stores/{storeId}/returns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"return": {
"createdAt": "2023-11-07T05:31:56Z",
"destination": {
"mailingAddress": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"postalCode": "<string>",
"state": "<string>",
"line2": ""
},
"phoneNumber": "<string>"
},
"giftCards": [
{
"amount": {
"amount": "<string>",
"currency": "<string>"
},
"code": "<string>",
"externalId": "<string>"
}
],
"id": "<string>",
"items": [
{
"id": "<string>",
"orderItem": {
"id": "<string>",
"line_item_id": "<string>"
},
"quantity": 123,
"reason": "<string>",
"customerComment": "<string>",
"exchangeItem": {
"product": {
"externalId": "<string>",
"name": "<string>"
},
"quantity": 123,
"variant": {
"externalId": "<string>",
"name": "<string>"
}
},
"grade": "<string>",
"greenReturn": true,
"outcome": "<string>",
"shipmentGroupIds": [
"<string>"
],
"externalReturnLineItemId": "<string>",
"productId": "<string>",
"reasonCode": "<string>",
"reasons": [
"<string>"
],
"reasonCodes": [
"<string>"
],
"productAdjustment": "<string>",
"multipleChoiceQuestions": [
{
"question": "<string>",
"answer": "<string>"
}
],
"assessments": [
{
"assignedUser": {
"id": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"responses": [
{
"type": "<string>",
"value": "<string>"
}
]
}
],
"refund": {
"amount": {
"amount": "<string>",
"currency": "<string>"
},
"type": "<string>"
},
"productValueNoTaxNoAdjustment": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
},
"sku": "<string>",
"upc": "<string>",
"status": "<string>",
"variantId": "<string>"
}
],
"order": {
"id": "64e4da943dd822979a70bd12",
"name": "<string>"
},
"source": {
"emailAddress": "jsmith@example.com",
"mailingAddress": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"postalCode": "<string>",
"state": "<string>",
"line2": ""
},
"name": {
"given": "<string>",
"surname": "<string>"
},
"phoneNumber": "<string>"
},
"status": "open",
"updatedAt": "2023-11-07T05:31:56Z",
"compensationMethods": [],
"completeWithNoAction": true,
"exchange": {
"items": [
{
"id": "<string>",
"quantity": 1,
"variant": {
"name": "<string>",
"externalId": "<string>",
"sku": "<string>",
"weight": {
"kg": 1
}
},
"originalPrice": {
"amount": "<string>",
"currency": "<string>"
},
"price": {
"amount": "<string>",
"currency": "<string>",
"tax": "<string>"
},
"product": {
"name": "<string>",
"externalId": "<string>"
}
}
],
"provision": "deferred",
"itemCount": 123,
"order": {
"externalId": "<string>"
},
"totalTax": {
"amount": "<string>",
"currency": "<string>"
}
},
"externalOrderIds": [
"<string>"
],
"externalReturnIds": [
{
"provider": "shopify",
"value": "<string>"
}
],
"internalCreatedByName": "<string>",
"notes": [
{
"message": "<string>",
"image": "<string>"
}
],
"shipment": {
"carrier": "<string>",
"tracker": "<string>",
"trackingUrl": "<string>",
"postageLabel": "<string>",
"formLabel": "<string>",
"shipmentGroupId": "<string>",
"itemIds": [
"<string>"
],
"externalLocationId": "<string>",
"estimatedDeliveryDate": "<string>",
"deliveredAt": "<string>"
},
"shipments": [
{
"carrier": "<string>",
"tracker": "<string>",
"trackingUrl": "<string>",
"postageLabel": "<string>",
"formLabel": "<string>",
"shipmentGroupId": "<string>",
"itemIds": [
"<string>"
],
"externalLocationId": "<string>",
"estimatedDeliveryDate": "<string>",
"deliveredAt": "<string>"
}
],
"dropoffs": [
{
"shipmentGroupId": "<string>",
"provider": "<string>",
"qrCode": "<string>",
"qrCodeUrl": "<string>"
}
],
"shopifyOrderIds": [
"<string>"
],
"tags": [
{
"name": "<string>",
"source": "<string>"
}
],
"totals": {
"charge": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
},
"exchange": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
},
"refund": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
},
"storeCredit": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
}
},
"type": "return"
},
"externalRMAResponses": [
{
"integrationProvider": "<string>",
"success": true,
"errorCode": "<string>",
"errorMessage": "<string>"
}
]
}{
"return": {
"createdAt": "2023-11-07T05:31:56Z",
"destination": {
"mailingAddress": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"postalCode": "<string>",
"state": "<string>",
"line2": ""
},
"phoneNumber": "<string>"
},
"giftCards": [
{
"amount": {
"amount": "<string>",
"currency": "<string>"
},
"code": "<string>",
"externalId": "<string>"
}
],
"id": "<string>",
"items": [
{
"id": "<string>",
"orderItem": {
"id": "<string>",
"line_item_id": "<string>"
},
"quantity": 123,
"reason": "<string>",
"customerComment": "<string>",
"exchangeItem": {
"product": {
"externalId": "<string>",
"name": "<string>"
},
"quantity": 123,
"variant": {
"externalId": "<string>",
"name": "<string>"
}
},
"grade": "<string>",
"greenReturn": true,
"outcome": "<string>",
"shipmentGroupIds": [
"<string>"
],
"externalReturnLineItemId": "<string>",
"productId": "<string>",
"reasonCode": "<string>",
"reasons": [
"<string>"
],
"reasonCodes": [
"<string>"
],
"productAdjustment": "<string>",
"multipleChoiceQuestions": [
{
"question": "<string>",
"answer": "<string>"
}
],
"assessments": [
{
"assignedUser": {
"id": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"responses": [
{
"type": "<string>",
"value": "<string>"
}
]
}
],
"refund": {
"amount": {
"amount": "<string>",
"currency": "<string>"
},
"type": "<string>"
},
"productValueNoTaxNoAdjustment": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
},
"sku": "<string>",
"upc": "<string>",
"status": "<string>",
"variantId": "<string>"
}
],
"order": {
"id": "64e4da943dd822979a70bd12",
"name": "<string>"
},
"source": {
"emailAddress": "jsmith@example.com",
"mailingAddress": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"postalCode": "<string>",
"state": "<string>",
"line2": ""
},
"name": {
"given": "<string>",
"surname": "<string>"
},
"phoneNumber": "<string>"
},
"status": "open",
"updatedAt": "2023-11-07T05:31:56Z",
"compensationMethods": [],
"completeWithNoAction": true,
"exchange": {
"items": [
{
"id": "<string>",
"quantity": 1,
"variant": {
"name": "<string>",
"externalId": "<string>",
"sku": "<string>",
"weight": {
"kg": 1
}
},
"originalPrice": {
"amount": "<string>",
"currency": "<string>"
},
"price": {
"amount": "<string>",
"currency": "<string>",
"tax": "<string>"
},
"product": {
"name": "<string>",
"externalId": "<string>"
}
}
],
"provision": "deferred",
"itemCount": 123,
"order": {
"externalId": "<string>"
},
"totalTax": {
"amount": "<string>",
"currency": "<string>"
}
},
"externalOrderIds": [
"<string>"
],
"externalReturnIds": [
{
"provider": "shopify",
"value": "<string>"
}
],
"internalCreatedByName": "<string>",
"notes": [
{
"message": "<string>",
"image": "<string>"
}
],
"shipment": {
"carrier": "<string>",
"tracker": "<string>",
"trackingUrl": "<string>",
"postageLabel": "<string>",
"formLabel": "<string>",
"shipmentGroupId": "<string>",
"itemIds": [
"<string>"
],
"externalLocationId": "<string>",
"estimatedDeliveryDate": "<string>",
"deliveredAt": "<string>"
},
"shipments": [
{
"carrier": "<string>",
"tracker": "<string>",
"trackingUrl": "<string>",
"postageLabel": "<string>",
"formLabel": "<string>",
"shipmentGroupId": "<string>",
"itemIds": [
"<string>"
],
"externalLocationId": "<string>",
"estimatedDeliveryDate": "<string>",
"deliveredAt": "<string>"
}
],
"dropoffs": [
{
"shipmentGroupId": "<string>",
"provider": "<string>",
"qrCode": "<string>",
"qrCodeUrl": "<string>"
}
],
"shopifyOrderIds": [
"<string>"
],
"tags": [
{
"name": "<string>",
"source": "<string>"
}
],
"totals": {
"charge": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
},
"exchange": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
},
"refund": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
},
"storeCredit": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
}
},
"type": "return"
},
"externalRMAResponses": [
{
"integrationProvider": "<string>",
"success": true,
"errorCode": "<string>",
"errorMessage": "<string>"
}
]
}{
"detail": "<string>",
"instance": "<string>",
"title": "<string>",
"type": "about:blank"
}{
"detail": "<string>",
"instance": "<string>",
"title": "<string>",
"type": "about:blank"
}{
"detail": "<string>",
"instance": "<string>",
"title": "<string>",
"type": "about:blank"
}{
"detail": "<string>",
"instance": "<string>",
"title": "<string>",
"type": "about:blank"
}Returns
Create Return
Create a return for specific order line items. Requires the returns_write scope.
POST
/
stores
/
{storeId}
/
returns
Create Return
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional idempotency key for safely retrying create requests.
Path Parameters
Store ID
Example:
"64e5a8a1af49a89df37e4ee7"
Body
application/json
Was this page helpful?
⌘I